#include <cstdio>
#include <cstring>

int h, w;
int m[32][32];
void dfs(int y, int x) {
	if(x < 0 || x >= w || y < 0 || y >= h) return;
	if(!m[y][x]) return;
	m[y][x] = 0;
	dfs(y, x+1);
	dfs(y, x-1);
	dfs(y+1, x);
	dfs(y-1, x);
}

int main() {
	int p;
	scanf("%d", &p);
	for(int t = 0; t < p; ++t) {
		scanf("%d%d", &h, &w);
		for(int i = 0; i < h; ++i) {
			for(int j = 0; j < w; ++j) {
				scanf("%d", &m[i][j]);
			}
		}
		int cnt = 0;
		for(int i = 0; i < h; ++i) {
			for(int j = 0; j < w; ++j) {
				if(m[i][j]) {
					++cnt;
					dfs(i, j);
				}
			}
		}
		printf("%d\n", cnt);
	}
}
