
#include <cstdio>
#include <cstring>
using namespace std;

int N, M;
int can [32][32];

void read ()
{
    scanf ("%d %d", &N, &M);
    memset (can, 0, sizeof (can));
    for (int i = 0; i < N; ++i)
        for (int j = 0; j < M; ++j)
            scanf ("%d", &can [i][j]);
}
void dfs (int x, int y)
{
    if (x < 0 || x >= N) return;
    if (y < 0 || y >= M) return;
    if (!can [x][y]) return;
    can [x][y] = 0;
    dfs (x - 1, y);
    dfs (x + 1, y);
    dfs (x, y - 1);
    dfs (x, y  + 1);
}
int solve ()
{
    int res = 0;
    for (int i = 0; i < N; ++i)
        for (int j = 0; j < M; ++j)
            if (can [i][j])
            {
                dfs (i, j);
                res++;
            }
    return res;
}
int main ()
{
    int n;
    scanf ("%d", &n);
    for (int i = 0; i < n; ++i)
    {
        read ();
        printf ("%d\n", solve ());
    }
    return 0;
}
