
#include <cstdio>
#include <cstring>
using namespace std;

const int dx [] = {0, 1, 0, -1};
const int dy [] = {1, 0, -1, 0};

int cx, cy;
int N, M;
bool mark [32][32];

void read ()
{
    scanf ("%d %d", &N, &M);
    scanf ("%d %d", &cx, &cy);
}
int solve ()
{
    --cx, --cy;
    memset (mark, 0, sizeof (mark));
    int x = 0, y = 0;
    int dir = 0;
    
    int res = 1;
    while (true)
    {
        if (x == cx && y == cy)
            break;
        ++res;
        mark [x][y] = true;
        int nx, ny;
        for (int i = 0; i < 2; ++i)
        {
            nx = x + dx [dir];
            ny = y + dy [dir];
            if (nx >= 0 && nx < N && ny >= 0 && ny < M && !mark [nx][ny])
                break;
            dir = (dir + 1) % 4;
        }
        x = nx, y = ny;
    }
    return res;
}
int main ()
{
    int n;
    scanf ("%d", &n);
    for (int i = 0; i < n; ++i)
    {
        read ();
        printf ("%d\n", solve ());
    }
    return 0;
}
