#include <iostream>
#include <queue>

using namespace std;

bool used[32][32];
bool A[32][32];
int n,m;

#define f first
#define s second

int mx[]={1,-1, 0,0};
int my[]={0, 0,-1,1};

bool isOk(int i,int j)
{ return i>=0 && i<n && j>=0 && j<m; }

void bfs(int i,int j)
{
 used[i][j]=1;
 queue<pair<int,int> > q;
 q.push(pair<int,int>(i,j));
 
 while(!q.empty())
 {
  int tmpi=(q.front()).f,tmpj=(q.front()).s; q.pop();     
  for(int i=0;i<4;i++)
     if(isOk(tmpi+mx[i],tmpj+my[i]) && A[tmpi+mx[i]][tmpj+my[i]] && !used[tmpi+mx[i]][tmpj+my[i]])
     { q.push(pair<int,int>(tmpi+mx[i],tmpj+my[i])); used[tmpi+mx[i]][tmpj+my[i]]=1;}           
 }
}

void solve()
{
 scanf("%d %d",&n,&m);
 for(int i=0;i<n;i++)
    for(int j=0;j<m;j++)
        scanf("%d",&A[i][j]);
 
 memset(used,0,sizeof(used));
 int res=0;
 for(int i=0;i<n;i++) 
    for(int j=0;j<m;j++)
        if(!used[i][j] && A[i][j]) {bfs(i,j); res++;}
 
 printf("%d\n",res);
}

int main()
{
 int test;
 scanf("%d",&test);
 
 while(test--)
 { solve();}
  
 return 0;
}
