#include <cstdio>

int dx[] = { 0 , 1 , 0 , -1 };
int dy[] = { 1 , 0 , -1 , 0 };

int n , m;
int x , y;
int used[32][32];

void read() {
    scanf ("%d%d%d%d",&n,&m,&x,&y);
}

void solve() {
    int q , w;
    int i , j;
    int dir;
    int cur = 1;
    
    dir = 0;
    q = w = 1;
    
    for (i=1;i<=n;i++)
        for (j=1;j<=m;j++)
            used[i][j] = 0;
    
    used[q][w] = 1;
    while ( cur != n * m ) {\
        ++ cur;
        
        while ( 1 ) {
            if ( q + dx[dir] <= n && q + dx[dir] >= 1 
            && w + dy[dir] <= m && w + dy[dir] >= 1 && !used[ q + dx[dir] ][ w + dy[dir] ] ) 
                break;
                
            ++ dir;
            dir %= 4;
        }        
        
        q += dx[dir];
        w += dy[dir];
        used[q][w] = cur;
    }
    
    printf ("%d\n",used[x][y]);
}

int main() {
    int t;
    
    scanf ("%d",&t);
    while ( t -- ) {
        read();
        solve();
    }
    
    return 0;
}
