#include <cstdio>
#include <algorithm>
using namespace std;

const int MAXN = 1 << 11;

int n1 , m1;
int n2 , m2;
int a[MAXN][MAXN];
int b[MAXN][MAXN];
int am[MAXN][MAXN];

void read() {
    int i , j;
    
    scanf ("%d%d",&n1,&m1);
    for (i=1;i<=n1;i++)
        for (j=1;j<=m1;j++)
            scanf ("%d",&a[i][j]);
            
    scanf ("%d%d",&n2,&m2);
    for (i=1;i<=n2;i++)
        for (j=1;j<=m2;j++)
            scanf ("%d",&b[i][j]);
}

int eq() {
    int i , j;
    
    if ( n1 == n2 && m1 == m2 ) {
        for (i=1;i<=n1;i++)
            for (j=1;j<=m1;j++)
                if ( a[i][j] != b[i][j] ) return 0;
    
        return 1;
    }
    
    return 0;
}

void rot() {
    int i , j;
    
    swap ( n1 , m1 );
    
    for (i=1;i<=n1;i++)
        for (j=1;j<=m1;j++)
            am[i][j] = a[j][n1 - i + 1];
            
    for (i=1;i<=n1;i++)
        for (j=1;j<=m1;j++)
            a[i][j] = am[i][j];
}

void sim() {
    int i , j;
    
    for (i=1;i<=n1;i++)
        for (j=1;j<=m1/2;j++)
            swap ( a[i][j] , a[i][m1 - j + 1] );
}

void solve() {
    int i;
    
    if ( eq () ) {
        printf ("E\n");
        return ;
    }
    rot();
    
    for (i=0;i<4;i++) {
        if ( eq() ) {
            ++ i;
            while ( i-- ) printf ("R");
            printf ("\n");
            
            return ;
        }
        
        sim();
        if ( eq() ) {
            ++ i;
            while ( i-- ) printf ("R");
            printf ("S\n");
            
            return ;
        }
        
        sim();
        rot();
    }
    
    printf ("no match\n");
}

int main() {
    int t;
    
    scanf ("%d",&t);
    
    while ( t -- ) {
        read();
        solve();
    }
    
    return 0;
}
