#include <cstdio>
#include <cstring>

int A[10][1030][1030];
int B[10][2];

void print(int p)
{
     for (int i=1;i<=B[p][0];++i) {
         for (int j=1;j<=B[p][1];++j) printf("%d ",A[p][i][j]);
         printf("\n");
         }
}

char equal(int p, int q)
{
     if (B[p][0] != B[q][0] || B[p][1] != B[q][1]) return 0;
     for (int i=1;i<=B[p][0];++i)
         for (int j=1;j<=B[p][1];++j)
             if (A[p][i][j] != A[q][i][j]) return 0;
     return 1;
}

void mirror(int p, int q)
{
     B[q][0] = B[p][0]; B[q][1] = B[p][1];
     for (int i=1;i<=B[p][0];++i)
         for (int j=B[p][1];j>=1;--j)
             A[q][i][B[p][1]-j+1] = A[p][i][j];
}

void rot(int p, int q)
{
     for (int j=1;j<=B[p][1];++j)
         for (int i=B[p][0];i>=1;--i) 
             A[q][j][B[p][0]-i+1] = A[p][i][j];
     B[q][0] = B[p][1]; B[q][1] = B[p][0];
}

int main()
{
    scanf("%d%d",&B[1][0],&B[1][1]);
    for (int i=1;i<=B[1][0];++i)
        for (int j=1;j<=B[1][1];++j) scanf("%d",&A[1][i][j]);
    scanf("%d%d",&B[2][0],&B[2][1]);
    for (int i=1;i<=B[2][0];++i)
        for (int j=1;j<=B[2][1];++j) scanf("%d",&A[2][i][j]);
        
    if (equal(1,2)) {printf("E\n");return 0;}
    
    mirror(2,4);
    if (equal(1,4)) {printf("S\n");return 0;}
    
    rot(2,3);
    if (equal(1,3)) {printf("R\n");return 0;}
    mirror(3,4);
    if (equal(1,4)) {printf("RS\n");return 0;}
    
    rot(3,4);
    if (equal(1,4)) {printf("RR\n");return 0;}
    mirror(4,5);
    if (equal(1,5)) {printf("RRS\n");return 0;}
    
    rot(4,5);
    if (equal(1,5)) {printf("RRR\n");return 0;}
    mirror(5,6);
    if (equal(1,6)) {printf("RRRS\n");return 0;}
    
    
    /*rot(2,3);
    rot(3,4);
    mirror(4,5);
    print(5);
    if (equal(1,5)) printf("OK\n");*/
    return 0;
}
