#include <cstdio>
#include<iostream>
#include <vector>

using namespace std;

string rom[]= { "I","X","C","M" ,
                 "II","XX","CC","MM" ,
                 "III","XXX","CCC","MMM" ,
                 "IV","XL","CD"," ",
                 "V","L","D"," ",
                 "VI","LX","DC"," ",
                 "VII","LXX","DCC"," ",
                 "VIII","LXXX","DCCC"," ",
                 "IX","XC","CM"," "} ;
                 
                 
string list[] = {
                "","I","V","X","L","C","D","M"
                };
                 
char bla[256];
                 
                 
int rom_dec(string r)
{

    int out=0,i,n=r.size(),a,b=0;
    for(i=0;i<n;i++)
    {
        switch(r[i])
        {
            case 'I' : a=1; break;
            case 'i' : a=1; break;
            case 'v' : a=5; break;
            case 'V' : a=5; break;
            case 'X' : a=10; break;
            case 'x' : a=10; break;
            case 'L' : a=50; break;
            case 'l' : a=50; break;
            case 'c' : a=100; break;
            case 'C' : a=100; break;
            case 'D' : a=500; break;
            case 'M' : a=1000; break;
            case 'm' : a=1000; break;
        }
        out+=a;
        if(a>b) out-=2*b;
        b=a;
    }
    return out;
}

string dec_rom(int an)
{
    int poz,ch,n,i;
    string str[20];
    string out;
    poz=0;
    do
    {
        str[poz]="";
        ch=an%10;
        if(ch>0) 
        {
            n=(ch-1)*4+poz;
            str[poz]=rom[n];
        }
        poz++;
        an/=10;
    }
    while(an>0);
    out = "";
    for(i=poz;i>=0;i--) out+=str[i];
    return out;
}

int main()
{
    
    bla['I'] = 1;
    bla['V'] = 2;
    bla['X'] = 3;
    bla['L'] = 4;
    bla['C'] = 5;
    bla['D'] = 6;
    bla['M'] = 7;
    
    string in;
    char inn[100];
    do {
    getline(cin,in);
    if (in == "") return 0;
    int a,b,aa,bb,vv;
    for (int i=0;i<in.size();i++)
        if (in[i] == ' ') {in.erase(i,1);--i;}
    
    for (vv=0;vv<in.size();++vv) inn[vv] = in[vv];
    inn[vv] = '\0';
    
    vector <char> q;
    sscanf(inn,"%d+%d=?",&a,&b); aa=a;bb=b;
    /*printf("%d+%d=?\n",a,b);
    return 0;*/
    string sa,sb;
    sa = "";
    while (a > 0) {
          q.push_back(a%10);
          a /= 10;
          }
    for (int i=q.size()-1;i>=0;--i) {
        sa = sa + list[q[i]];
        }
    
    q.clear();
    sb = "";
    while (b > 0) {
          q.push_back(b%10);
          b /= 10;
          }
    for (int i=q.size()-1;i>=0;--i) {
        sb = sb + list[q[i]];
        }
    
    int na, nb, p;
    na = rom_dec(sa);
    nb = rom_dec(sb);
    p = na+nb;
    
    string qq;
    qq = dec_rom(p);
    
    if (p>=4000 || qq == "") {printf("%d+%d=NOT_REPRESENTABLE\n",aa,bb);return 0;}
    
    int i,j;
    for (i=0;i<qq.size();) {
        j = i;
        while (qq[j] == qq[i] && j<qq.size()) ++j;
        if (j-i > 3) {printf("%d+%d=NOT_REPRESENTABLE\n",aa,bb);return 0;}
        i = j;
        }
    
    j=0;
    for (i=0;i<qq.size();++i) {
        j *= 10;
        j += bla[qq[i]];
        }
    
    printf("%d+%d=%d\n",aa,bb,j);
    } while (!cin.eof());
    return 0;
}
