#include <iostream>
using namespace std;

int a[100][100];
int used[128][128];
int nx[4] = {1,-1,0,0};
int ny[4] = {0,0,1,-1};

int n, m;

void dfs(int x, int y)
{
    if(x<1 || x>n || y<1 || y>m) return;
    used[x][y] = true;
    int i;
    for(i=0;i<4;i++)
        if(!used[x+nx[i]][y+ny[i]]&&a[x+nx[i]][y+ny[i]])
        {
            dfs(x+nx[i], y+ny[i]);
        }
}
void solve()
{
    memset(a, 0, sizeof(a));
    memset(used, 0, sizeof(used));
    
    
    scanf("%d%d", &n, &m);
    
    int i, j;
    int res = 0;
     for(i=1;i<=n;i++)
         for(j=1;j<=m;j++)
            scanf("%d", &a[i][j]);
            
     
            
    for(i=1; i<=n;i++)
       for(j=1; j<=m;j++) 
    if(!used[i][j]&&a[i][j])
    {   
        //cout<<i<<" "<<j<<endl;
        dfs(i, j);
        res++;
    }

    printf("%d\n", res);
    
}
int main()
{
    int k;
    scanf("%d", &k);
    int i;
    for (i=0;i<k;i++)
    solve();

    return 0;
}
