#include <cstdio>
#include <algorithm>
#include <iostream>
#include <cmath>
#include <cstring>
#include <string>
#include <cstdlib>
#include <vector>
#include <stack>
#include <queue>

using namespace std;

int n, m, p, q;
int a[2048][2048];
int b[2048][2048];
int t[2048][2048];

void simetry(int n, int m)
{
	int i, j;
	for(i=0; i<n; i++)
		for(j=0; j<m/2; j++)
			swap(a[i][j],a[i][m-j-1]);
}

void rotate(int &n, int &m)
{
	int i, j, k, p;
	for(i=0; i<n; i++)
		for(j=0, k=m-1; j<m; j++, k--)
			t[k][i]=a[i][j];
	swap(n, m);
	for(i=0; i<n; i++)
		for(j=0; j<m; j++)
			a[i][j]=t[i][j];
}

int cmp(int n, int m, int p, int q)
{
	if(n!=p && n!=q) return 0;
	int i, j;
	for(i=0; i<n; i++)
		for(j=0; j<=m; j++)
			if(a[i][j]!=b[i][j]) return 0;
	return 1;
}

void init()
{
	scanf("%d%d", &n, &m);
	int i, j;
	for(i=0; i<n; i++)
		for(j=0; j<m; j++)
			scanf("%d", a[i]+j);
	scanf("%d%d", &p, &q);
	for(i=0; i<n; i++)
		for(j=0; j<m; j++)
			scanf("%d", b[i]+j);
}

void solve()
{
	init();
	if(n!=p && n!=q) { printf("no match\n"); return; }
	if(m!=p && m!=q) { printf("no match\n"); return; }
	if(cmp(n, m, p, q)) { printf("E\n"); return; }
	
	rotate(n, m);
	if(cmp(n, m, p, q)) { printf("RRR\n");return; }
	rotate(n, m);
	if(cmp(n, m, p, q)) { printf("RR\n");return; }
	rotate(n, m);
	if(cmp(n, m, p, q)) { printf("R\n");return; }
	rotate(n, m);
	simetry(n, m);
	if(cmp(n, m, p, q)) { printf("S\n");return; }
	rotate(n, m);
	if(cmp(n, m, p, q)) { printf("RRRS\n");return; }
	rotate(n, m);
	if(cmp(n, m, p, q)) { printf("RRS\n");return; }
	rotate(n, m);
	if(cmp(n, m, p, q)) { printf("RS\n");return; }
	printf("no match");
}

int main()
{
	int k;
	for(int i=0; i<10; i++) solve();
    return 0;
}
