#include <cstdio>
#include <string>
#include <queue>
using namespace std;

struct photo {
	short data[1024][1024];
	string s;
	//short** data;
	int h, w;
	
	/*void alloc() {
		data = (short**)malloc(1024*sizeof(short*));
		for(int i = 0; i < 1024; ++i) data[i] = (short*)malloc(1024*sizeof(short));
	}*/
	photo() {
		//alloc();
	}
	void get(const photo& from) {
		//alloc();
		h = from.h;
		w = from.w;
		for(int i = 0; i < h; ++i)
			for(int j = 0; j < w; ++j)
				data[i][j] = from.data[i][j];
		s = from.s;
	}
	//~photo() {
		/*if(data) {
			for(int i = 0; i < 1024; ++i) free(data[i]);
			free(data);
			
			data = NULL;
		}*/
	//}
	
	void read() {
		scanf("%d%d", &h, &w);
		for(int i = 0; i < h; ++i)
			for(int j = 0; j < w; ++j)
				scanf("%hd", &data[i][j]);
	}
	void print() {
		printf("%d %d\n", h, w);
		for(int i = 0; i < h; ++i) {
			for(int j = 0; j < w; ++j)
				printf("%hd", data[i][j]);
			printf("\n");
		}
	}
	
	void rotate(photo& result) {
		result.h = w;
		result.w = h;
		result.s = s;
		
		for(int i = 0; i < h; ++i) {
			for(int j = 0; j < w; ++j) {
				result.data[j][i] = data[h-i-1][j];
			}
		}
		
	}
	
	void sim(photo& result) {
		result.h = h;
		result.w = w;
		result.s = s;
		
		for(int i = 0; i < h; ++i)
			for(int j = 0; j < w; ++j)
				result.data[i][w-j-1] = data[i][j];
	}
	
	bool operator == (const photo& p) const {
		if(h != p.h || w != p.w) return false;
		for(int i = 0; i < h; ++i)
			for(int j = 0; j < w; ++j)
				if(data[i][j] != p.data[i][j]) return false;
		return true;
	}
} q[130];

int b = 0, e = 0;
void qpush() {
	++e;
	if(e == 129) e = 0;
}
void qpop() {
	++b;
	if(b == 129) b = 0;
}

photo ps, pe;
int cur;

int main() {
	for(int t = 0; t < 10; ++t) {
		b = e = 0;
		
		ps.read();
		ps.s = "";
		
		pe.read();
		pe.s = "";
		
		if(ps == pe) {
			printf("E\n");
			continue;
		}
		
		q[e].get(ps);
		qpush();
		
		while(b != e) {
			cur = b; qpop();
			
			if(q[cur] == pe) {
				printf("%s\n", q[cur].s.c_str());
				break;
			}
			if(q[cur].s.length() == 6) {
				printf("no match\n");
				break;
			}
			
			q[cur].rotate(q[e]);
			q[e].s = q[cur].s+"R";
			qpush();
			
			q[cur].sim(q[e]);
			q[e].s = q[cur].s+"S";
			qpush();
		}
		//printf("\n");
	}
	return 0;
}
