#include <cstdio>
#include <cstring>
#include <string>
#include <algorithm>
using namespace std;

int f[] = { 0 , 1 , 5 , 10 , 50 , 100 , 500 , 1000 };

int n , m;
char a[43242] , b[234234];
string ans;

int get() {
    char c;
    
    n = m = 0;
    
    if ( scanf ("%c",&c) == -1 || c == '\n' ) return 0;
    if ( c >= '0' && c <= '9' )
            a[n ++] = c;
    
    while ( (c = getchar()) != '+' )
        if ( c >= '0' && c <= '9' )
            a[n ++] = c;
            
    while ( (c = getchar()) != '=' )
        if ( c >= '0' && c <= '9' )
            b[m ++] = c;
        
    while ( (c = getchar()) != '\n' ) ;
    
    a[n] = b[m] = '\0';
}

int todig ( char *a ) {
    int i;
    int n = (int)strlen ( a );
    int ans = 0;
    
    for (i=0;i<n;i++) {
        ans += f[ a[i] - '0' ];
        if ( i != n - 1 && a[i + 1] > a[i] )
            ans -= f[ a[i] - '0' ];
    }
    
    return ans;
}

int main() {
    int x;
    int i;
    int t = 0;
    string q;
    
    while ( get() ) {
        x = todig ( a ) + todig ( b );    
        
        if ( x >= 4000 )
            printf ("%s+%s=NOT_REPRESENTABLE\n",a,b);
        else {             
            for (i=0;i<234;i++) ans[i] = '\0';
            t = 0;
            ans = "";
            for (i=7;i>=1;i--)
                if ( x >= f[i] ) {
                    x -= f[i];
                    ans += (i + '0');
                    ++ i;
                }
                
            for (i=0;i<(int)ans.size();i++) {
                if ( ans.substr ( i , 5 ) == "65555" ) {
                    q = ans.substr ( i + 5 );
                    ans = ans.substr ( 0 , i ) + "57" + q;
                }
                
                if ( ans.substr ( i , 4 ) == "5555" ) {
                    q = ans.substr ( i + 4 );
                    ans = ans.substr ( 0 , i ) + "56" + q;
                }
                
                if ( ans.substr ( i , 5 ) == "43333" ) {
                    q = ans.substr ( i + 5 );
                    ans = ans.substr ( 0 , i ) + "35" + q;
                }
                
                if ( ans.substr ( i , 4 ) == "3333" ) {
                    q = ans.substr ( i + 4 );
                    ans = ans.substr ( 0 , i ) + "34" + q;
                }
                
                if ( ans.substr ( i , 5 ) == "21111" ) {
                    q = ans.substr ( i + 5 );
                    ans = ans.substr ( 0 , i ) + "13" + q;
                }
                
                if ( ans.substr ( i , 4 ) == "1111" ) {
                    q = ans.substr ( i + 4 );
                    ans = ans.substr ( 0 , i ) + "12" + q;
                }
            }
            printf ("%s+%s=%s\n",a,b,ans.c_str());
        }
    }
    
    return 0;
}
