
#include <cstdio>
#include <cstring>
using namespace std;

int fib [128];
int best [10000005];

int main ()
{
    fib [0] = 1;
    fib [1] = 1;
    int n;
    for (int i = 2; fib [i - 2] + fib [i - 1] <= 10000001; ++i)
    {
        fib [i] = fib [i - 1] + fib [i - 2];
        n = i + 1;
    }
    
    memset (best, 0x3f, sizeof (best));
    best [0] = 0;
    for (int i = 0; i < n; ++i)
        for (int j = 0; j + fib [i] <= 10000001; ++j)
            if (best [j + fib [i]] > best [j] + 1)
                best [j + fib [i]] = best [j] + 1;
    
    int k;
    scanf ("%d", &k);
    for (int i = 0; i < k; ++i)
    {
        int x;
        scanf ("%d", &x);
        printf ("%d\n", best [x]);
    }
    
    return 0;
}
