#include <cstdio>
#include <algorithm>
#include <iostream>
#include <cmath>
#include <cstring>
#include <string>
#include <cstdlib>
#include <vector>
#include <stack>
#include <queue>

using namespace std;

int a[32][32], n, m, cnt;
int vis[32][32];
void dfs(int i, int j)
{
	if(a[i][j]==0 || vis[i][j]) return;
	vis[i][j]=1;
	dfs(i, j+1);
	dfs(i, j-1);
	dfs(i+1, j);
	dfs(i-1, j);
}

int init()
{
	cnt=0;
	cin>>n>>m;
	int i, j;
	for(i=0; i<32; i++)
		for(j=0; j<32; j++)
			a[i][j]=vis[i][j]=0;
	for(i=1; i<=n; i++)
		for(j=1; j<=m; j++)
			scanf("%d", a[i]+j);
}

int main()
{
	int br, i, j, k;
	scanf("%d", &br);
	for(i=0; i<br; i++)
	{
		init();
		for(j=1; j<=n; j++)
			for(k=1; k<=m; k++)
				if(a[j][k] && !vis[j][k])
				{
					cnt++;
					dfs(j, k);
				}
		printf("%d\n", cnt);
	}
	
    return 0;
}
