#include <cstdio>

const int MAXN = 32;

int dx[] = { -1 , 1 , 0 , 0 };
int dy[] = { 0 , 0 , -1 , 1 };

int n , m;
int a[MAXN][MAXN];
int used[MAXN][MAXN];

void read() {
    int i , j;
    
    scanf ("%d%d",&n,&m);
    for (i=1;i<=n;i++)
        for (j=1;j<=m;j++) {
            scanf ("%d",&a[i][j]);
            used[i][j] = 0;
        }
}

void dfs ( int x , int y ) {
    int i;
    
    used[x][y] = 1;
    
    for (i=0;i<4;i++)
        if ( x + dx[i] > 0 && y + dy[i] > 0 && x + dx[i] <= n && y + dy[i] <= m && !used[x + dx[i]][y + dy[i]] && a[x + dx[i]][y + dy[i]] )
            dfs ( x + dx[i] , y + dy[i] );
}

void solve() {
    int i , j;
    int ans = 0;
    
    for (i=1;i<=n;i++)
        for (j=1;j<=m;j++)
            if ( a[i][j] && !used[i][j] ) {
                ++ ans;
                dfs ( i , j );
            } 
            
    printf ("%d\n",ans);
}

int main () {
    int t;
    
    scanf ("%d",&t);
    
    while ( t -- ) {
        read();
        solve();
    }
       
    return 0;
}
