#include <cstdio>
#include <vector>
#include <algorithm>
#include <queue>
#include <map>

typedef std :: vector<int> vi;
typedef std :: vector<vi> vvi;

void print(vvi &bb)
{
    return;
    int N = bb.size();
    int M = bb[0].size();
    for(int i = 0; i < N; i ++)
    {
        for(int j = 0; j < M; j ++)
            printf("%d ", bb[i][j]);
        printf("\n");
    }
    printf("\n");
}

vvi rotate(vvi a)
{
    int n = a.size();
    int m = a[0].size();
    vvi res(m, vi(n, 0));
    for(int i = 0; i < m; i ++)
        for(int j = 0; j < n; j ++)
            res[i][j] = a[n - j - 1][i];
    return res;
}

vvi sym(vvi a)
{
    for(int i = 0; i < a.size(); i ++)
        std :: reverse(a[i].begin(), a[i].end());
    return a;
}

void mod(vvi &a, bool t)
{
    if( t ) a = rotate(a);
    else    a = sym(a);
}

std :: map<vvi, int> m;
std :: map<vvi, vvi> pr;
bool bfs(vvi &a, vvi &b)
{
    std :: queue<vvi> q;
    q.push(a);
    m[a] = -1;
    int num = 0;
    while(!q.empty())
    {
        if(num > 10)   return 0;
        num ++;
        vvi t = q.front(); q.pop();
        vvi a1 = rotate(t);
//        printf("%d\n", m[t]);
        if( m.find(a1) == m.end() )
        {
            q.push(a1);
            print(a1);
            m[a1] = 0;
            pr[a1] = t;
            if( a1 == b )   return 1;
        }
        a1 = sym(t);
        if( m.find(a1) == m.end() )
        {
            q.push(a1);
            print(a1);
            pr[a1] = t;
//            printf("wtf\n");
            print(t);
            m[a1] = 1;
            if(a1 == b)     return 1;
        }
    }
}

int N1, M1, N2, M2;
int main()
{
    scanf("%d %d", &N1, &M1);
    vvi a(N1, vi(M1));
    for(int i = 0; i < N1; i ++)
        for(int j = 0; j < M1; j ++)
            scanf("%d", &a[i][j]);
    vvi c = sym(a);
/*    printf("gfdgfd\n");
    for(int i = 0; i < N1; i ++)
    {
        for(int j = 0; j < M1; j ++)
            printf("%d ", c[i][j]);
        printf("\n");
    } */
    scanf("%d %d", &N2, &M2);
    vvi b(N2, vi(M2));
    for(int i = 0; i < N2; i ++)
        for(int j = 0; j < M2; j ++)
            scanf("%d", &b[i][j]);
    if(a == b)
    {
        printf("E\n");
        return 0;
    }
    if( bfs(a, b) == 0 )
    {
        printf("no match\n");
        return 0;
    }
    char res[105];
    int top = 0;
    vvi bb = a;
    while( m[b] != -1 )
    {
        res[top ++] = m[b] ? 'S' : 'R';
        b = pr[b];
    }
    std :: reverse(res, res + top);
    printf("%s\n", res);
    return 0;
}
