#include <iostream>
#include <vector>
using namespace std;

unsigned mx[32][32];
bool used[32][32];
int n,m;
int cnt;
vector<pair<int,int> > q;

void bfs(int x,int y)
{
     int fst=0;
     q.clear();
     q.push_back(make_pair(x,y));
     used[x][y]=1;
     while(fst<q.size())
     {
                        if(x-1>0 && mx[x-1][y]==1 && !used[x-1][y])
                        {
                                 used[x-1][y]=1;
                                 q.push_back(make_pair(x-1,y));
                        }
                        if(x+1<=n && mx[x+1][y]==1 && !used[x+1][y])
                        {
                                 used[x+1][y]=1;
                                 q.push_back(make_pair(x+1,y));
                        }
                        if(y-1>0 && mx[x][y-1]==1 && !used[x][y-1])
                        {
                                 used[x][y-1]=1;
                                 q.push_back(make_pair(x,y-1));
                        }
                        if(y+1<=m && mx[x][y+1]==1 && !used[x][y+1])
                        {
                                 used[x][y+1]=1;
                                 q.push_back(make_pair(x,y+1));
                        }
                        fst++;
                        x=q[fst].first;
                        y=q[fst].second;

     }
}
int main()
{
    int N;
    cin>>N;
    for(int i=1;i<=N;i++)
    {
            memset(mx,0,32*32*4);
            memset(used,0,32*32);
            
            cin>>n>>m;
            for(int j=1;j<=n;j++)
                    for(int k=1;k<=m;k++)
                            cin>>mx[j][k];
            
            cnt=0;
            
            for(int j=1;j<=n;j++)
                    for(int k=1;k<=m;k++)
                            if(!used[j][k] && mx[j][k]==1)
                            {
                                           bfs(j,k);
                                           cnt++;
                            }
            cout<<cnt<<endl;
    }
}
